from django.conf.urls.defaults import *
from utils.links import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import login_required

urlpatterns = decorated_patterns('', login_required,
    url(r'^add-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.add(), name="links_add"),
    url(r'^display-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.display(), name="links_display"),
    url(r'^(?P<object_id>\d+)/delete/$', views.delete(), name='links_delete'),
)